require_relative './core.rb'

module Cloudutil::AWS
  # A class of utility methods for the AWS S3 service
  class S3 < Cloudutil::AWS::Core
    S3_ARN_PREFIX = 'arn:aws:s3:::'

    def resolve_bucket_arn(name)
      if aws_bucket_arn? name
        name
      else
        S3_ARN_PREFIX + name
      end
    end

    def aws_bucket_arn?(name)
      name.strip.downcase.start_with? S3_ARN_PREFIX
    end
  end
end
